Set CDR Callback

Configure the callback URL to notify when a call dialing record is available.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Set CDR callback to receive Call Records at the end of every calls to or from fonenumbers in your account.

Notes

account_id

10 digit account code

method

This parameter specifies the methods used for the callback and its data.

  • GET returns data through query string parameters on a GET to the given URL.
  • POST returns data through query string parameters on a POST to the given URL, with a full set of data in a JSON-encoded structure in the body. The request will have a header of application/x-www-form-urlencoded
  • JSON returns data through query string parameters on a POST to the given URL, with a full set of data in a JSON-encoded structure in the body. The request will have a header of application/json

url

The url parameter contains the URL to be called when the event takes place. The full URL, including the protocol (https://) needs to be provided (URLs with valid SSL certificates are supported only.).

username and password

Callbacks support optional HTTP Basic authentication. If the username and password parameters are provided, the corresponding authentication headers will be included in callback execution.

For more information, see Callbacks / Web Hooks.

📘

Note

• You may get multiple callbacks for the same call from our side. Always keep the highest "bill_amount" callback out of them.

Callback Properties
PropertyTypeDescription
account_codeStringAccount Code
allow_surchargeString"yes" or "no"
bill_amountStringBill amount of the Call
bill_ratingStringBill Rating
billable_minutesStringBillable minutes
billable_secondsStringBillable seconds
billing_incrementStringBilling increment
call_dateStringDate of the call
call_durationStringCall duration in seconds
call_typeString"INBOUND"
or "OUTBOUND"
caller_idStringCaller ID name or number
caller_id_numberStringCaller ID number
customer_ip_addressStringIP address of customer
device_usernameStringDevice ID of the device connected
dialed_numberStringDialed number
dialed_number_lrnStringLRN of dialed number
dispositionStringDisposition of the call. Ex - ANSWERED, REJECTED, etc.
sip_causeStringSIP cause for call termination
hangup_causeStringHangup cause for call termination
idStringID of the call
jurisdictionStringJuridiction
jurisdiction_numberStringJuridiction number
long_distance_access_codeStringLong distance access code
packet_lossStringPacket loss during the call
post_dial_delayStringPost dial delay
per_minute_rateStringPer minute rate
recording_urlStringURL of call recording
surcharge_amountStringSurcharge amount
surcharge_rateStringSurcharge rate
amaStringAMA
Response Properties
PropertyTypeDescription
accountobjectAccount

Body Params
string
required

FoneStorm account id

string
required

Callback URL method

string
required

Callback URL. See Notes for additional information.

string

Callback URL username

string

Callback URL password

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json